O iOS 7 estreia amanhã, mas não será compatível com iDevices lançados até 2010: isso inclui o iPhone 3GS, iPad original e iPod Touch de quarta geração.

No entanto, parece que a Apple decidiu cuidar de usuários com hardware antigo: a App Store agora oferece a “última versão compatível” de apps, se você tentar baixar uma versão que não seja suportada pelo seu firmware atual.



O novo recurso foi flagrado e postado no Reddit, e pergunta se você quer baixar a última versão compatível de um app, caso a versão mais recente na App Store não funcione no seu dispositivo.

O Engadget relata que conseguiu instalar versões mais antigas do Instagram em um iPhone 3GS com iOS 4.3.3, e o Twitter em um iPhone 3G rodando iOS 4.2.1. Então, se você tem um iPhone, iPad ou iPod touch velho por aí, ele ainda tem vida pela frente.

No entanto, se você tem um iPhone 5/4S/4, iPad 4/3/2, iPad mini ou iPod Touch de quinta geração, prepare-se para baixar o iOS 7 amanhã. Mas antes, faça backup indo em Ajustes > iCloud > Armazenamento & Backup > Efetuar backup agora; ou use o iTunes para tanto seguindo estas instruções. [Reddit via Engadget]